OGRE: Ogre::InstancedGeometry::InstancedObject Class Reference - OGRE Documentation

Public Types | Public Member Functions | Protected Attributes | Friends

# Ogre::InstancedGeometry::InstancedObject Class Reference

`#include <OgreInstancedGeometry.h>`

Inheritance diagram for Ogre::InstancedGeometry::InstancedObject:
[legend]

List of all members.

## Public Types
enum | TransformSpace { TS_LOCAL, TS_PARENT, TS_WORLD }
typedef vector< GeometryBucket * > ::type | GeometryBucketList
| list of Geometry Buckets that contains the instanced object
## Public Member Functions
| InstancedObject (unsigned short index)
| InstancedObject (unsigned short index, SkeletonInstance *skeleton, AnimationStateSet *animations)
| ~InstancedObject ()
void | setPosition (Vector3 position)
const Vector3 & | getPosition (void) const
void | yaw (const Radian &angle)
void | pitch (const Radian &angle)
void | roll (const Radian &angle)
void | rotate (const Quaternion &q)
void | setScale (const Vector3 &scale)
const Vector3 & | getScale () const
void | setOrientation (const Quaternion &q)
void | setPositionAndOrientation (Vector3 p, const Quaternion &q)
Quaternion & | getOrientation (void)
void | addBucketToList (GeometryBucket *bucket)
void | needUpdate ()
GeometryBucketList & | getGeometryBucketList (void)
void | translate (const Matrix3 &axes, const Vector3 &move)
void | translate (const Vector3 &d)
Matrix3 | getLocalAxes (void) const
void | updateAnimation (void)
AnimationState * | getAnimationState (const String &name) const
SkeletonInstance * | getSkeletonInstance (void)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
GeometryBucketList | mGeometryBucketList
unsigned short | mIndex
Matrix4 | mTransformation
Quaternion | mOrientation
Vector3 | mScale
Vector3 | mPosition
SkeletonInstance * | mSkeletonInstance
Matrix4 * | mBoneWorldMatrices
| Cached bone matrices, including any world transform.
Matrix4 * | mBoneMatrices
| Cached bone matrices in skeleton local space.
AnimationStateSet * | mAnimationState
| State of animation for animable meshes.
unsigned short | mNumBoneMatrices
unsigned long | mFrameAnimationLastUpdated
| Records the last frame in which animation was updated.
## Friends
class | GeometryBucket

## Detailed Description

Definition at line 253 of file OgreInstancedGeometry.h.

## Member Typedef Documentation

typedef vector<GeometryBucket*>::type Ogre::InstancedGeometry::InstancedObject::GeometryBucketList

list of Geometry Buckets that contains the instanced object

Definition at line 267 of file OgreInstancedGeometry.h.

## Member Enumeration Documentation

enum Ogre::InstancedGeometry::InstancedObject::TransformSpace

Enumerator:

  TS_LOCAL | Transform is relative to the local space.
  TS_PARENT | Transform is relative to the space of the parent node.
  TS_WORLD | Transform is relative to world space.

Definition at line 257 of file OgreInstancedGeometry.h.

## Constructor & Destructor Documentation

Ogre::InstancedGeometry::InstancedObject::InstancedObject | ( | unsigned short | index | ) |

Ogre::InstancedGeometry::InstancedObject::InstancedObject | ( | unsigned short | index,
|  | SkeletonInstance * | skeleton,
|  | AnimationStateSet * | animations |
| ) |  |  |

Ogre::InstancedGeometry::InstancedObject::~InstancedObject | ( |  | ) |

## Member Function Documentation

void Ogre::InstancedGeometry::InstancedObject::addBucketToList | ( | GeometryBucket * | bucket | ) |

AnimationState* Ogre::InstancedGeometry::InstancedObject::getAnimationState | ( | const String & | name | ) | const

GeometryBucketList& Ogre::InstancedGeometry::InstancedObject::getGeometryBucketList | ( | void |  | ) |

Definition at line 302 of file OgreInstancedGeometry.h.

Matrix3 Ogre::InstancedGeometry::InstancedObject::getLocalAxes | ( | void |  | ) | const

Quaternion& Ogre::InstancedGeometry::InstancedObject::getOrientation | ( | void |  | ) |

const Vector3& Ogre::InstancedGeometry::InstancedObject::getPosition | ( | void |  | ) | const

const Vector3& Ogre::InstancedGeometry::InstancedObject::getScale | ( |  | ) | const

SkeletonInstance* Ogre::InstancedGeometry::InstancedObject::getSkeletonInstance | ( | void |  | ) |

Definition at line 308 of file OgreInstancedGeometry.h.

void Ogre::InstancedGeometry::InstancedObject::needUpdate | ( |  | ) |

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

void Ogre::InstancedGeometry::InstancedObject::pitch | ( | const Radian & | angle | ) |

void Ogre::InstancedGeometry::InstancedObject::roll | ( | const Radian & | angle | ) |

void Ogre::InstancedGeometry::InstancedObject::rotate | ( | const Quaternion & | q | ) |

void Ogre::InstancedGeometry::InstancedObject::setOrientation | ( | const Quaternion & | q | ) |

void Ogre::InstancedGeometry::InstancedObject::setPosition | ( | Vector3 | position | ) |

void Ogre::InstancedGeometry::InstancedObject::setPositionAndOrientation | ( | Vector3 | p,
|  | const Quaternion & | q |
| ) |  |  |

void Ogre::InstancedGeometry::InstancedObject::setScale | ( | const Vector3 & | scale | ) |

void Ogre::InstancedGeometry::InstancedObject::translate | ( | const Vector3 & | d | ) |

void Ogre::InstancedGeometry::InstancedObject::translate | ( | const Matrix3 & | axes,
|  | const Vector3 & | move |
| ) |  |  |

void Ogre::InstancedGeometry::InstancedObject::updateAnimation | ( | void |  | ) |

void Ogre::InstancedGeometry::InstancedObject::yaw | ( | const Radian & | angle | ) |

## Friends And Related Function Documentation

friend class GeometryBucket`[friend]`

Definition at line 255 of file OgreInstancedGeometry.h.

## Member Data Documentation

AnimationStateSet* Ogre::InstancedGeometry::InstancedObject::mAnimationState`[protected]`

State of animation for animable meshes.

Definition at line 281 of file OgreInstancedGeometry.h.

Matrix4* Ogre::InstancedGeometry::InstancedObject::mBoneMatrices`[protected]`

Cached bone matrices in skeleton local space.

Definition at line 279 of file OgreInstancedGeometry.h.

Matrix4* Ogre::InstancedGeometry::InstancedObject::mBoneWorldMatrices`[protected]`

Cached bone matrices, including any world transform.

Definition at line 277 of file OgreInstancedGeometry.h.

unsigned long Ogre::InstancedGeometry::InstancedObject::mFrameAnimationLastUpdated`[protected]`

Records the last frame in which animation was updated.

Definition at line 284 of file OgreInstancedGeometry.h.

GeometryBucketList Ogre::InstancedGeometry::InstancedObject::mGeometryBucketList`[protected]`

Definition at line 269 of file OgreInstancedGeometry.h.

unsigned short Ogre::InstancedGeometry::InstancedObject::mIndex`[protected]`

Definition at line 270 of file OgreInstancedGeometry.h.

unsigned short Ogre::InstancedGeometry::InstancedObject::mNumBoneMatrices`[protected]`

Definition at line 282 of file OgreInstancedGeometry.h.

Quaternion Ogre::InstancedGeometry::InstancedObject::mOrientation`[protected]`

Definition at line 272 of file OgreInstancedGeometry.h.

Vector3 Ogre::InstancedGeometry::InstancedObject::mPosition`[protected]`

Definition at line 274 of file OgreInstancedGeometry.h.

Vector3 Ogre::InstancedGeometry::InstancedObject::mScale`[protected]`

Definition at line 273 of file OgreInstancedGeometry.h.

SkeletonInstance* Ogre::InstancedGeometry::InstancedObject::mSkeletonInstance`[protected]`

Definition at line 275 of file OgreInstancedGeometry.h.

Matrix4 Ogre::InstancedGeometry::InstancedObject::mTransformation`[protected]`

Definition at line 271 of file OgreInstancedGeometry.h.

The documentation for this class was generated from the following file:

- OgreInstancedGeometry.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56